package com.ruoyi.project.patrol.dev.mapper;

import java.util.List;
import com.ruoyi.framework.aspectj.lang.annotation.DataScope;
import com.ruoyi.project.patrol.dev.domain.TDevAidkit;

/**
 * 急救箱Mapper接口
 * 
 * @author ssy
 * @date 2024-10-30
 */
public interface TDevAidkitMapper 
{
    /**
     * 查询急救箱
     * 
     * @param id 急救箱ID
     * @return 急救箱
     */
    public TDevAidkit selectTDevAidkitById(Long id);

    /**
     * 查询急救箱列表
     * 
     * @param tDevAidkit 急救箱
     * @return 急救箱集合
     */
    public List<TDevAidkit> selectTDevAidkitList(TDevAidkit tDevAidkit);

    /**
     * 新增急救箱
     * 
     * @param tDevAidkit 急救箱
     * @return 结果
     */
    public int insertTDevAidkit(TDevAidkit tDevAidkit);

    /**
     * 修改急救箱
     * 
     * @param tDevAidkit 急救箱
     * @return 结果
     */
    public int updateTDevAidkit(TDevAidkit tDevAidkit);

    /**
     * 删除急救箱
     * 
     * @param id 急救箱ID
     * @return 结果
     */
    public int deleteTDevAidkitById(Long id);

    /**
     * 批量删除急救箱
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTDevAidkitByIds(Long[] ids);
}
